All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.dataselectors.calculations.percent.html
Interface PercentCalculationsSelectorComponentNames

    public interface PercentCalculationsSelectorComponentNames

Contains the names of the sub components used by the `SortSelectorPanel`

Since:
  3.1.4

Field Summary
`static java.lang.String` | `ADD_BUTTON_NAME` The name of the Sort By label.
`static java.lang.String` | `LABEL_ENTRY_NAME` The name of the Sort By label.
`static java.lang.String` | `LABEL_LABEL_NAME` The name of the Sort By label.
`static java.lang.String` | `MEASURE_CHOICE_NAME` The name of the Sort By label.
`static java.lang.String` | `MEASURE_LABEL_NAME` The name of the Sort By label.
`static java.lang.String` | `NAME_SEPARATOR` The separator used to separate the selector name from the component name when creating the final component name (e.g.
`static java.lang.String` | `PERCENT_CHOICE_LABEL_NAME` The name of the Sort By label.
`static java.lang.String` | `PERCENT_CHOICE_NAME` The name of the Sort By label.
`static java.lang.String` | `PERCENT_LABEL_NAME` The name of the Sort By label.
`static java.lang.String` | `REMOVE_BUTTON_NAME` The name of the Sort By label.
`static java.lang.String` | `SUMMARY_BOX_NAME` The name of the Sort By label.
`static java.lang.String` | `SUMMARY_TITLE1_NAME` The name of the Sort By label.
`static java.lang.String` | `SUMMARY_TITLE2_NAME` The name of the Sort By label.
`static java.lang.String` | `SUMMARY_TITLE3_NAME` The name of the Sort By label.

Field Detail

### NAME_SEPARATOR

    static final java.lang.String NAME_SEPARATOR

  The separator used to separate the selector name from the component name when creating the final component name (e.g. SortSelector_sortByLabel). "_"

  See Also:
    Constant Field Values

### MEASURE_LABEL_NAME

    static final java.lang.String MEASURE_LABEL_NAME

  The name of the Sort By label. "measureLabel"

  See Also:
    Constant Field Values

### PERCENT_LABEL_NAME

    static final java.lang.String PERCENT_LABEL_NAME

  The name of the Sort By label. "percentLabel"

  See Also:
    Constant Field Values

### LABEL_LABEL_NAME

    static final java.lang.String LABEL_LABEL_NAME

  The name of the Sort By label. "labelLabel"

  See Also:
    Constant Field Values

### MEASURE_CHOICE_NAME

    static final java.lang.String MEASURE_CHOICE_NAME

  The name of the Sort By label. "measureChoice"

  See Also:
    Constant Field Values

### PERCENT_CHOICE_NAME

    static final java.lang.String PERCENT_CHOICE_NAME

  The name of the Sort By label. "percentChoice"

  See Also:
    Constant Field Values

### PERCENT_CHOICE_LABEL_NAME

    static final java.lang.String PERCENT_CHOICE_LABEL_NAME

  The name of the Sort By label. "percentChoiceLabel"

  See Also:
    Constant Field Values

### LABEL_ENTRY_NAME

    static final java.lang.String LABEL_ENTRY_NAME

  The name of the Sort By label. "labelEntry"

  See Also:
    Constant Field Values

### ADD_BUTTON_NAME

    static final java.lang.String ADD_BUTTON_NAME

  The name of the Sort By label. "addButton"

  See Also:
    Constant Field Values

### REMOVE_BUTTON_NAME

    static final java.lang.String REMOVE_BUTTON_NAME

  The name of the Sort By label. "removeButton"

  See Also:
    Constant Field Values

### SUMMARY_BOX_NAME

    static final java.lang.String SUMMARY_BOX_NAME

  The name of the Sort By label. "summaryBox"

  See Also:
    Constant Field Values

### SUMMARY_TITLE1_NAME

    static final java.lang.String SUMMARY_TITLE1_NAME

  The name of the Sort By label. "summaryTitle1"

  See Also:
    Constant Field Values

### SUMMARY_TITLE2_NAME

    static final java.lang.String SUMMARY_TITLE2_NAME

  The name of the Sort By label. "summaryTitle2"

  See Also:
    Constant Field Values

### SUMMARY_TITLE3_NAME

    static final java.lang.String SUMMARY_TITLE3_NAME

  The name of the Sort By label. "summaryTitle3"

  See Also:
    Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.